Subject: Re: [AVT] Ask open source information on RTP/RTSP

From: Greg Herlein <[email-masked]>
Date: Tue, 18 Nov 2003 06:04:24 -0800 (PST)

>     Now I want to find a free RTP/RTSP streaming server to test
> ip set top box which does as a RTP/RTSP client.

RTSP Implementation List at:
http://www.rtsp.org/2001/implementations.html

Of these, MPEG4IP seems very solid and is commercial friendly 
open source, for the most part.
http://mpeg4ip.sourceforge.net/

Apple, Helix, Live.com - all have footprints in the open source 
world.  Helix is from Real and may be used non-commercially, or 
licensed on a per server basis for commercial applications.  
Vovida even has some stack elements.

FFMPEG has ffserver, though it's perhaps not all that stable yet 
for production use.  Good codec library too.

http://ffmpeg.sourceforge.net/

I'm very intrigued by the idea of a set top box that is a 
RTSP/RTP client.  Can you share more (publicly or privately) 
about your new product?  I'd be interested in doing some testing 
on such a product, and even collaborating/assisting with your 
RTSP server needs.

Greg Herlein
VP Engineering
Arkstream, Inc.

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Marshall Eubanks <[email-masked]>
Date: Tue, 18 Nov 2003 11:52:01 -0500

Darwin streaming server does this.

Note that rtsp is not generally done with multicast.

On Tuesday, November 18, 2003, at 02:12 AM, [email-masked] wrote:

> Dear experts,
>
>     Now I want to find a free RTP/RTSP streaming server to test ip set 
> top box
> which does as a RTP/RTSP client.
>
>     I am not very familiar with existed RTP/RTSP open source code. So 
> would you
> like to give me some suggestions.
>
>     If the server can support VOD and control stream bit rate, it is 
> better.
>
> best regards
> david.liu
>
> ST Microelectronics Inc.
> email: [email-masked]
>
>
                                  Regards
                                  Marshall Eubanks

T.M. Eubanks
e-mail : [email-masked]
http://www.telesuite.com

---

From: Ross Finlayson <[email-masked]>
Date: Tue, 18 Nov 2003 09:46:08 -0800

>Note that rtsp is not generally done with multicast.

This, for some odd reason, is a common misconception about RTSP.  But it's 
incorrect.

RTSP can also be used to play multicast streams.  It is an excellent way 
for a player client to get the SDP information for an ongoing multicast 
stream - as an alternative to having the player client read a local ".sdp" 
file (for example).

(See, for example, section 14.4 in RFC 2326.)

People may be confused by the fact that (i) RTSP is not *necessary* for 
playing multicast streams (because a client could, instead, just read a 
local ".sdp" file), and (ii) Apple's "Darwin Streaming Server" does not 
serve multicast streams via RTSP.  (OTOH, Apple's QuickTime Player can play 
multicast RTSP/RTP streams just fine.)

         Ross (who has developed several multicast applications that use RTSP).

---

From: Marshall Eubanks <[email-masked]>
Date: Tue, 18 Nov 2003 15:14:21 -0500

On Tuesday, November 18, 2003, at 12:46 PM, Ross Finlayson wrote:

> This, for some odd reason, is a common misconception about RTSP.  But 
> it's incorrect.
>
> RTSP can also be used to play multicast streams.  It is an excellent 
> way for a player client to get the SDP information for an ongoing 
> multicast stream - as an alternative to having the player client read 
> a local ".sdp" file (for example).
>
> People may be confused by the fact that (i) RTSP is not *necessary* 
> for playing multicast streams (because a client could, instead, just 
> read a local ".sdp" file), and (ii) Apple's "Darwin Streaming Server" 
> does not serve multicast streams via RTSP.  (OTOH, Apple's QuickTime 
> Player can play multicast RTSP/RTP streams just fine.)
>

I agree with you - I believe that RTSP was developed for multicast.
However, neither Darwin nor Helix will serve this (at least, the last 
time
I checked this) - and RealOne won't play them.

                                  Regards
                                  Marshall Eubanks

T.M. Eubanks